%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		lightsoff
Version:	40.0.1
Release:	%mkrel 1
Summary:	GNOME Lightsoff game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Lightsoff
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	lib64appstream-glib-devel
# For help
Requires:	yelp

%description
A puzzle played on an 5X5 grid with the aim to turn off all the lights. Each
click on a tile toggles the state of the clicked tile and its non-diagonal
neighbors.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.LightsOff.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.LightsOff.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.LightsOff*.*
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.LightsOff*
%{_datadir}/%{name}
%{_datadir}/metainfo/org.gnome.LightsOff.appdata.xml
%{_datadir}/help
%{_datadir}/dbus-1/services/org.gnome.LightsOff.service
%{_datadir}/man/man6/lightsoff.6.bz2

%changelog
* Fri Apr 02 2021 tex - 40.0.1-1pclos2021
- new version

* Sat Sep 12 2020 tex - 3.38.0-1pclos2020
- new version

* Sun Mar 08 2020 tex - 3.36.0-1pclos2020
- new version

* Mon Sep 09 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
